QGIS Application - Bug report #2385
Italian Sardinia custom proj is wrong
2010-01-22 12:25 AM - Luca Casagrande

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12445
Description

Hello folks,

the proj string for custom lItalian Sardinia projection is wrong because it has got 2 towgs84 setting.
The right one is this:
+proj=tmerc +lat_0=0 +lon_0=9 +k=0.9996 +x_0=1500000 +y_0=0 +ellps=intl +units=m
+towgs84=-168.6,-34.0,38.6,-0.374,-0.679,-1.379,-9.48 +no_defs
| think that would be better to add GB Roma40 to the name of each custom projections.

Thanks

Luca

History

#1 -2010-01-22 11:18 PM - Tim Sutton
- Resolution set to fixed
- Status changed from Open to Closed

commit:d8988cce (SVN r12822) implements these updates. For the record:

update tbl_srs set description = description || ' GB Roma40' where srs_id > 3639;

update tbl_srs set parameters="+proj=tmerc +lat_0=0 +lon_0=9 +k=0.9996 +x_0=1500000 +y_0=0 +ellps=intl +units=m
+towgs84=-168.6,-34.0,38.6,-0.374,-0.679,-1.379,-9.48 +no_defs' where srs_id=3643;

#2 - 2010-02-01 01:16 PM - Luca Casagrande
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

| noticed that towgs84 parameters are not right for Italy. According to GRASS those are the right ones:

ROMA40 Fuso 1 Peninsular
+proj=tmerc +lat_0=0 +lon_0=9 +k=0.9996 +x_0=1500000 +y_0=0 +ellps=intl +units=m +towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68 +no_defs
ROMAA40 fuso 2 Peninsular

+proj=tmerc +lat_0=0 +lon_0=15 +k=0.9996 +x_0=2520000 +y_0=0 +ellps=int| +units=m +towgs84=-104. 1,-49.1,-9.9,0.971,-2.917,0.714,-11.68

+no_def

ROMA 40 Sardinia

+proj=tmerc +lat_0=0 +lon_0=9 +k=0.9996 +x_0=1500000 +y_0=0 +ellps=intl +units=m +towgs84=-168.6,-34.0,38.6,-0.374,-0.679,-1.379,-9.48

+no_defs

ROMA 40 Sicily

+proj=tmerc +lat_0=0 +lon_0=9 +k=0.9996 +x_0=1500000 +y_0=0 +ellps=intl +units=m +towgs84=-50.2,-50.4,84.8,-0.690,-2.012,0.459,-28.08 +no_def

#3 - 2010-04-06 10:44 AM - Niccolo Rigacci

Please note that there are also unwanted spaces as in "-104. 1", etc.

| attach the SQL statements to fix 3 entries in the database (only one is correct).

#4 - 2010-04-06 11:29 AM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to fixed

applied in . Thanks.

Files

italian_srs.sql 593 Bytes
